[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# wifexited

Check whether the process exited normally

## Declaration

Source position: bunxovlh.inc line 93

`function wifexited(`
`Status: cint`
`):Boolean;`

## Description

WIFEXITED checks Status and returns True if the status indicates that the process terminated normally, i.e. was not stopped by a signal.

## See also

FpWaitPID |  | Wait for a process to terminate
WTERMSIG |  | Return the signal that caused a process to exit.
WSTOPSIG |  | Return the exit code from the process.
WIFSIGNALED |  | Check whether the process was exited by a signal.
WEXITSTATUS |  | Extract the exit status from the fpWaitPID result.

Documentation generated on: Feb 26 2014